✨ Create predictions for all tasks
Create predictions for all tasks using a specific ML backend so that you can set up an active learning strategy based on the confidence or uncertainty scores associated with the predictions. Creating predictions requires a Label Studio ML backend set up and configured for your project.
See Set up machine learning for more details about a Label Studio ML backend.
Reference the ML backend ID in the path of this API call. Get the ML backend ID by listing the ML backends for a project.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Path parameters
id
A unique integer value identifying this ML backend.
Query parameters
batch_size
Computed number of tasks without predictions that the ML backend needs to predict.
Response
Predictions have successfully started.